IAM
IAM
Overview
SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.
본 가이드는 IAM 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.
Version
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| Version | Status | Not Before |
|---|---|---|
| 1.4 | CURRENT | - |
| 1.3 | SUPPORTED | 20261130 |
| 1.2 | SUPPORTED | 20260930 |
| 1.1 | DEPRECATED | 20260531 |
| 1.0 | DEPRECATED | 20260223 |
OpenAPI URL
https://iam.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
API Version History
1.4
IAM이 1.4 버전으로 업데이트되었습니다.
변경사항
- [변경]
GET /iam/1.4/groups/{group_id}/members- Group Member list API가 변경되었습니다.- Response schema:
GroupMemberPageResponse→GroupMemberPageResponseV1Dot4
- Response schema:
- [변경]
GET /iam/1.4/accounts/{account_id}/users/{user_id}- Get IAM users API가 변경되었습니다.- Response schema:
IAMUserDetailResponse→IAMUserDetailResponseV1Dot4 - Response fields added: [‘access_keys’]
- Response schema:
- [변경]
GET /iam/1.4/accounts/{account_id}/users- List IAM users API가 변경되었습니다.- Response schema:
ListIAMUserResponse→ListIAMUserResponseV1Dot4
- Response schema:
- [변경]
GET /iam/1.4/policies/{policy_id}/bindings- Get a specific policy binding list API가 변경되었습니다.- Response schema:
PolicyBindingPageResponse→PolicyBindingPageResponseV1Dot4
- Response schema:
1.3
IAM이 1.3 버전으로 업데이트되었습니다.
변경사항
- [변경]
POST /iam/1.3/roles- Create role API가 변경되었습니다.- Request schema:
RoleCreateRequest→RoleCreateRequestV1Dot3 - Request fields added: [‘role_type’]
- Request schema:
1.2
IAM이 1.2 버전으로 업데이트되었습니다.
변경사항
이 버전에서 변경사항이 없습니다.
1.1
IAM이 1.1 버전으로 업데이트되었습니다.
변경사항
- [신규]
DELETE /iam/1.1/accounts/{account_id}/users/{user_id}- Delete IAM user API가 추가되었습니다.
1.0
IAM 버전 1.0이 출시되었습니다.
변경사항
- [신규]
GET /iam/1.0/access-keys- List access keys API가 추가되었습니다. - [신규]
POST /iam/1.0/access-keys- Create an access key API가 추가되었습니다. - [신규]
DELETE /iam/1.0/access-keys/bulk- Remove the access keys API가 추가되었습니다. - [신규]
POST /iam/1.0/access-keys/send-otp- Send Temporary Access Key OTP API가 추가되었습니다. - [신규]
DELETE /iam/1.0/access-keys/{access_key_id}- Remove the access key API가 추가되었습니다. - [신규]
GET /iam/1.0/access-keys/{access_key_id}- Get an access key API가 추가되었습니다. - [신규]
PUT /iam/1.0/access-keys/{access_key_id}- Set an access key API가 추가되었습니다. - [신규]
GET /iam/1.0/accounts/{account_id}/users- List IAM users API가 추가되었습니다. - [신규]
POST /iam/1.0/accounts/{account_id}/users- Create IAM user API가 추가되었습니다. - [신규]
DELETE /iam/1.0/accounts/{account_id}/users/bulk- Delete IAM users API가 추가되었습니다. - [신규]
GET /iam/1.0/accounts/{account_id}/users/{user_id}- Get IAM users API가 추가되었습니다. - [신규]
PUT /iam/1.0/accounts/{account_id}/users/{user_id}- Update IAM user API가 추가되었습니다. - [신규]
PUT /iam/1.0/accounts/{account_id}/users/{user_id}/password- Update IAM user password API가 추가되었습니다. - [신규]
GET /iam/1.0/endpoints- Get endpoint list API가 추가되었습니다. - [신규]
GET /iam/1.0/groups- List Groups API가 추가되었습니다. - [신규]
POST /iam/1.0/groups- Create a group API가 추가되었습니다. - [신규]
DELETE /iam/1.0/groups/{group_id}- Remove the Group API가 추가되었습니다. - [신규]
GET /iam/1.0/groups/{group_id}- Get a Group API가 추가되었습니다. - [신규]
PUT /iam/1.0/groups/{group_id}- Modify a Group API가 추가되었습니다. - [신규]
GET /iam/1.0/groups/{group_id}/members- Group Member list API가 추가되었습니다. - [신규]
POST /iam/1.0/groups/{group_id}/members- Add a user to a group API가 추가되었습니다. - [신규]
DELETE /iam/1.0/groups/{group_id}/members/{user_id}- Remove a User from a Group API가 추가되었습니다. - [신규]
GET /iam/1.0/groups/{group_id}/policy-bindings- Show group policy API가 추가되었습니다. - [신규]
POST /iam/1.0/groups/{group_id}/policy-bindings- Assign policies to the group API가 추가되었습니다. - [신규]
DELETE /iam/1.0/groups/{group_id}/policy-bindings/{policy_id}- Remove policy assignment from group API가 추가되었습니다. - [신규]
GET /iam/1.0/policies- Get policy list API가 추가되었습니다. - [신규]
POST /iam/1.0/policies- Create a policy API가 추가되었습니다. - [신규]
DELETE /iam/1.0/policies/bulk- Remove policies API가 추가되었습니다. - [신규]
POST /iam/1.0/policies/list- Query policy list API가 추가되었습니다. - [신규]
DELETE /iam/1.0/policies/{policy_id}- Delete the policy API가 추가되었습니다. - [신규]
GET /iam/1.0/policies/{policy_id}- Show the policy API가 추가되었습니다. - [신규]
PUT /iam/1.0/policies/{policy_id}- Set the policy API가 추가되었습니다. - [신규]
GET /iam/1.0/policies/{policy_id}/bindings- Get a specific policy binding list API가 추가되었습니다. - [신규]
PUT /iam/1.0/policies/{policy_id}/bindings- Set the policy group binding API가 추가되었습니다. - [신규]
DELETE /iam/1.0/resource-policies/{srn}- Delete the resource based policy API가 추가되었습니다. - [신규]
GET /iam/1.0/resource-policies/{srn}- Show the resource based policy API가 추가되었습니다. - [신규]
PUT /iam/1.0/resource-policies/{srn}- Set the resource based policy API가 추가되었습니다. - [신규]
POST /iam/1.0/resource-policies/{srn}/statements- Add a permission into the resource based policy API가 추가되었습니다. - [신규]
DELETE /iam/1.0/resource-policies/{srn}/statements/{sid}- Remove a permission into the resource based policy API가 추가되었습니다. - [신규]
PUT /iam/1.0/resource-policies/{srn}/statements/{sid}- Set a permission into the resource based policy API가 추가되었습니다. - [신규]
GET /iam/1.0/roles- Get role list API가 추가되었습니다. - [신규]
POST /iam/1.0/roles- Create role API가 추가되었습니다. - [신규]
DELETE /iam/1.0/roles/bulk- Delete bulk role API가 추가되었습니다. - [신규]
DELETE /iam/1.0/roles/{role_id}- Delete role API가 추가되었습니다. - [신규]
GET /iam/1.0/roles/{role_id}- Get role API가 추가되었습니다. - [신규]
PUT /iam/1.0/roles/{role_id}- Set role API가 추가되었습니다. - [신규]
DELETE /iam/1.0/roles/{role_id}/policy-bindings- Detach policies to Role API가 추가되었습니다. - [신규]
GET /iam/1.0/roles/{role_id}/policy-bindings- Get Role Policy-Binding list API가 추가되었습니다. - [신규]
POST /iam/1.0/roles/{role_id}/policy-bindings- Attach policies to Role API가 추가되었습니다. - [신규]
DELETE /iam/1.0/roles/{role_id}/policy-bindings/{policy_id}- Detach policy to Role API가 추가되었습니다. - [신규]
PUT /iam/1.0/roles/{role_id}/trust-policy- Set role trust policy API가 추가되었습니다. - [신규]
GET /iam/1.0/saml-providers- List saml providers API가 추가되었습니다. - [신규]
POST /iam/1.0/saml-providers- Create a saml provider API가 추가되었습니다. - [신규]
DELETE /iam/1.0/saml-providers/bulk- Remove saml providers API가 추가되었습니다. - [신규]
GET /iam/1.0/saml-providers/{saml_provider_id}- Get saml provider information API가 추가되었습니다. - [신규]
PUT /iam/1.0/saml-providers/{saml_provider_id}- Update saml provider information API가 추가되었습니다. - [신규]
GET /iam/1.0/service-accounts- List service accounts API가 추가되었습니다. - [신규]
GET /iam/1.0/service-accounts/{service_account_id}- Get service account API가 추가되었습니다. - [신규]
GET /iam/1.0/users/{user_id}/policy-bindings- Get user policy-binding list API가 추가되었습니다. - [신규]
POST /iam/1.0/users/{user_id}/policy-bindings- Assign policies to user API가 추가되었습니다. - [신규]
DELETE /iam/1.0/users/{user_id}/policy-bindings/{policy_id}- Delete user policy API가 추가되었습니다.